Package net.sf.saxon.resource

## Class AbstractResourceCollection.InputDetails

- java.lang.Object
- - net.sf.saxon.resource.AbstractResourceCollection.InputDetails

- Enclosing class:
    AbstractResourceCollection

      public static class AbstractResourceCollection.InputDetails
      extends java.lang.Object

  Information about a resource

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `byte[]` | `binaryContent` | The binary content of the resource
    `java.lang.String` | `characterContent` | The character content of the resource
    `java.lang.String` | `contentType` | The media type of the resource
    `java.lang.String` | `encoding` | The encoding of the resource (if it is text, represented in binary)
    `int` | `onError` | Action to be taken in the event of an error, for example `URIQueryParameters#ON_ERROR_FAIL`, `URIQueryParameters#ON_ERROR_WARNING`, or `URIQueryParameters#ON_ERROR_IGNORE`
    `ParseOptions` | `parseOptions` | Options for parsing the content of an XML resource
    `java.lang.String` | `resourceUri` | The URI of the resource

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `InputDetails()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.io.InputStream` | `getInputStream()` | Get an input stream that delivers the binary content of the resource
    `byte[]` | `obtainBinaryContent()` | Get the binary content of the resource, either as stored, or by encoding the character content, or by reading the input stream
    `java.lang.String` | `obtainCharacterContent()` | Get the character content of the resource, either as stored, or by reading and decoding the input stream

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### resourceUri

          public java.lang.String resourceUri

      The URI of the resource

    - #### binaryContent

          public byte[] binaryContent

      The binary content of the resource

    - #### characterContent

          public java.lang.String characterContent

      The character content of the resource

    - #### contentType

          public java.lang.String contentType

      The media type of the resource

    - #### encoding

          public java.lang.String encoding

      The encoding of the resource (if it is text, represented in binary)

    - #### parseOptions

          public ParseOptions parseOptions

      Options for parsing the content of an XML resource

    - #### onError

          public int onError

      Action to be taken in the event of an error, for example `URIQueryParameters#ON_ERROR_FAIL`, `URIQueryParameters#ON_ERROR_WARNING`, or `URIQueryParameters#ON_ERROR_IGNORE`

  - ### Constructor Detail

    - #### InputDetails

          public InputDetails()

  - ### Method Detail

    - #### getInputStream

          public java.io.InputStream getInputStream()
                                             throws java.io.IOException

      Get an input stream that delivers the binary content of the resource
      Returns:
        the content, as an input stream
      Throws:
        `java.io.IOException` - if the input cannot be read

    - #### obtainBinaryContent

          public byte[] obtainBinaryContent()
                                     throws XPathException

      Get the binary content of the resource, either as stored, or by encoding the character content, or by reading the input stream
      Returns:
        the binary content of the resource
      Throws:
        `XPathException` - if the binary content cannot be obtained

    - #### obtainCharacterContent

          public java.lang.String obtainCharacterContent()
                                                  throws XPathException

      Get the character content of the resource, either as stored, or by reading and decoding the input stream
      Returns:
        the character content of the resource
      Throws:
        `XPathException` - in the event of a failure